![BEON LOGO](https://beon.studio/blog/wp-content/themes/twentybeon/app/images/beon-purple.png)

# MERN Coding Exercise

Before joining the live coding challenge, you should have set up the local environments for the application. Install the Packages in both `backend` `frontend` and run `npm run dev` `npm run start` respectively to start the developing server (remember to configure the .env file using the .env.example one). Also, we recommend you read the code so that you are not caught off guard.

# What does the coding exercise looks like?

The coding exercise session will be more like a pair programming excercise, we will request you to implement a feature, solve bugs or give code advice. You will be able to use google and any documentation that can help you. Instructions will be provided in the live coding session.

# Basic requirements

- Your preferred IDE / Code Editor
- NodeJs > 12.X
- (Optional) Postman or Insomnia REST Client

## Libraries used:

- [Express](https://expressjs.com)
- [React Router](https://reactrouter.com/en/main)
- [Mongoose](https://mongoosejs.com/)
- [MongoDB Memory Server](https://github.com/nodkz/mongodb-memory-server)

## Endpoints:

- Flights => /v1/flights
